package org.jeecg.modules.bytedance.report.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.bytedance.report.entity.BytedanceAdvertiserHourlyReport;

import java.sql.ResultSet;

/**
 * @Description: 广告主小时级别报表信息
 * @Author: jeecg-boot
 * @Date: 2021-05-18
 * @Version: V1.0
 */
public interface IBytedanceAdvertiserHourlyReportService extends IService<BytedanceAdvertiserHourlyReport> {

    Result getReportYearOnYearCost(String accountId, String startTime, String endTime)throws Exception;

    Result initAccountIdAndTime(String userId,String type)throws Exception;

    Result getAccountCost(String accountId)throws Exception;

    Result getReportPlanCost(String accountId, String startTime, String endTime,Integer pageNum,Integer pageSize)throws Exception;



}
